#!/bin/sh

updates_available () {
    docker pull "$1"
    if test "$(docker run -it --rm "$1" /bin/sh -c 'apt -qqq update && apt -qq list --upgradable')" != ""; then
        return 0
    else
        return 1
    fi
}

if updates_available pommib/jumpbox:latest; then
    ./build.sh
fi
